package com.service.customer.ejb;

import java.rmi.RemoteException;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

import javax.persistence.PersistenceUnit;
import javax.ejb.EJBException;
import javax.ejb.Stateless;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;

@Stateless
public class ProcessCustomerSessionBean implements ProcessCustomerSessionLocal {
    @PersistenceUnit
    protected EntityManagerFactory emf;

    public ProcessCustomerSessionBean() {
    
    }

    public List<Customer> findAllCustomers() {
        EntityManager em = emf.createEntityManager();
        String query = "SELECT * FROM customer";
        List<Customer> customerList =
            (List<Customer>)em.createNativeQuery(query, Customer.class).getResultList();
        em.close();
        return customerList;
    }

    public Customer findCustomer(String key) {
        EntityManager em = emf.createEntityManager();
        String query = "SELECT * FROM customer WHERE id='"+key+"'";
        List<Customer> customerList =
            (List<Customer>)em.createNativeQuery(query, Customer.class).getResultList();
        if(customerList.size() == 1) {
            return (Customer)customerList.get(0);
        } else {
            return null;
        }
    }
}
