<%
// index.jsp - Edit customer information no this page
%>

<%@ page import="com.service.customer.ejb.Customer" %>
<%@ page import="com.service.customer.ejb.ProcessCustomerSessionLocal" %>
<%@ page import="java.util.List"                     %>

<jsp:useBean id="serviceBean" scope="session" class="com.service.customer.web.CustomerServiceJavaBean"/>
<jsp:setProperty name="serviceBean" property="*"/>

<HTML>
   <%! Customer customer            = null; %>
   <%! String message               = null; %>
   <%! List<Customer> customerList  = null; %>

   <% message = ""; %>
   <% customerList = serviceBean.getAllCustomers(); %>

   <HEAD>
   <TITLE>Customer Service - JNDI Series</TITLE>
   </HEAD>

   <BODY bgcolor="white">
    <CENTER>
        <H1>Customer Processing Page</H1>
    </CENTER>

    <% if ((customerList == null) || (customerList.size() == 0)) { %>
      <% message = "No Customers Available"; %>
    <% } // end if %>

    <!-- Display status message here -->
    <H2><%= message %></H2>

    <TABLE border="0">
      <TR>
         <TD align="left">
         Customer ID
         </TD>

         <TD align="left">
         Full Name
         </TD>

         <TD align="left">
         Email Address
         </TD>

         <TD align="left">
         Interests
         </TD>
      </TR>

      <% if (customerList != null) { %>
      <% for (int x = 0; x < customerList.size(); x++) { %>
      <TR>
         <% customer = (Customer)customerList.get(x); %>

         <TD align="left">
         <INPUT type="radio" name="customerID" value="<%= customer.getCustomerId() %>">
         <%= customer.getCustomerId() %>
         </TD>

         <TD align="left">
         <INPUT type="hidden" name="fullName" value="<%= customer.getFullName() %>">
         <%= customer.getFullName() %>
         </TD>

         <TD align="left">
         <INPUT type="hidden" name="emailAddress" value="<%= customer.getEmailAddress() %>">
         <%= customer.getEmailAddress() %>
         </TD>

         <TD align="left">
         <INPUT type="hidden" name="interests" value="<%= customer.getInterests() %>">
         <%= customer.getInterests() %>
         </TD>
      </TR>
      <% } // end for %>
      <% } // end if %>
    </TABLE>
   </BODY>
</HTML>
